'use strict';

/** @type Egg.EggPlugin */
module.exports = {
  /**
   * [routerPlus 路由增强插件]
   * @type {Object}
   */
  routerPlus: {
    enable: true,
    package: 'egg-router-plus',
  },
  /**
   * [cors 跨域插件处理]
   * @type {Object}
   */
  cors: {
    enable: true,
    package: 'egg-cors',
  },
  /**
   * [validate 表单验证插减]
   * @type {Object}
   */
  validate: {
    enable: true,
    package: 'egg-szjcomo-validate',
  },
  /**
   * [szjcomo 工具类]
   * @type {Object}
   */
  szjcomo: {
    enable: true,
    package: 'egg-szjcomo-utils',
  },
  /**
   * [sequelize 数据库操作插件]
   * @type {Object}
   */
  sequelize: {
    enable: true,
    package: 'egg-sequelize',
  },
  /**
   * [redis 插件]
   * @type {Object}
   */
  redis: {
    enable: true,
    package: 'egg-redis',
  },
  /**
   * [bean 数据库操作bean插件]
   * @type {Object}
   */
  bean: {
    enable: true,
    package: 'egg-szjcomo-bean',
  },
  /**
   * [jwt token验证代替session]
   * @type {Object}
   */
  jwt: {
    enable: true,
    package: 'egg-jwt',
  },
  /**
   * [wxpay 微信支付插减]
   * @type {Object}
   */
  // wxpay:{
  // 	enable:false,
  // 	package:'egg-szjcomo-wxpay'
  // },
  /**
   * [szjcomoDyw 短信发送接口]
   * @type {Object}
   */
  dxw: {
    enable: true,
    package: 'egg-szjcomo-dxw',
  },
  /**
   * [excel excel插件]
   * @type {Object}
   */
  // excel:{
  // 	enable: true,
  // 	package: 'egg-szjcomo-excel',
  // },
  /**
   * [szjimage 图像操作插件]
   * @type {Object}
   */
  // szjimage:{
  //   	enable: true,
  //   	package: 'egg-szjcomo-image',
  // }
};
